org.apache.sling.hapi.impl

## Class HApiTypeImpl

- java.lang.Object
- - org.apache.sling.hapi.impl.HApiTypeImpl

All Implemented Interfaces:
  HApiType

    public class HApiTypeImpl
    extends Object
    implements HApiType

### Field Summary

Fields
`static org.slf4j.Logger` `LOG`

### Constructor Summary

Constructors
Constructor and Description
`HApiTypeImpl(String name, String description, String serverUrl, String path, String fqdn, List<String> parameters, Map<String,HApiProperty> properties, HApiType parent, boolean isAbstract)` A new HApiType

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,HApiProperty>` `getAllProperties()` A map with the names of the properties as keys and the HApiProperty object as values defined for this type, including the properties inherited from the parent type
`String` `getDescription()` The description of this type
`String` `getFqdn()` The fully qualified domain name of this type
`String` `getName()` The name of this type
`List<String>` `getParameters()` A list of `String` representing java-like generic types that can be used as types for the properties belonging to this type
`HApiType` `getParent()` Returns the parent type object
`String` `getPath()` The path of the Resource representing this type
`Map<String,HApiProperty>` `getProperties()` A map with the names of the properties as keys and the HApiProperty object as values defined for this type
`String` `getUrl()` The external URL of the node representing this type
`boolean` `isAbstract()` Whether this type is abstract or not.
`void` `setParent(HApiType parent)`
`void` `setProperties(Map<String,HApiProperty> properties)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LOG

    public static final org.slf4j.Logger LOG

### Constructor Detail

#### HApiTypeImpl

    public HApiTypeImpl(String name,
                        String description,
                        String serverUrl,
                        String path,
                        String fqdn,
                        List<String> parameters,
                        Map<String,HApiProperty> properties,
                        HApiType parent,
                        boolean isAbstract)

A new HApiType

Parameters:
  `name` -
  `description` -
  `serverUrl` -
  `path` -
  `fqdn` -
  `parameters` -
  `properties` -
  `parent` -

### Method Detail

#### getName

    public String getName()

The name of this type

Specified by:
  `getName` in interface `HApiType`
Returns:

#### getDescription

    public String getDescription()

The description of this type

Specified by:
  `getDescription` in interface `HApiType`
Returns:

#### getPath

    public String getPath()

The path of the Resource representing this type

Specified by:
  `getPath` in interface `HApiType`
Returns:

#### getUrl

    public String getUrl()

The external URL of the node representing this type

Specified by:
  `getUrl` in interface `HApiType`
Returns:

#### getFqdn

    public String getFqdn()

The fully qualified domain name of this type

Specified by:
  `getFqdn` in interface `HApiType`
Returns:

#### getParameters

    public List<String> getParameters()

A list of `String` representing java-like generic types that can be used as types for the properties belonging to this type

Specified by:
  `getParameters` in interface `HApiType`
Returns:

#### getProperties

    public Map<String,HApiProperty> getProperties()

A map with the names of the properties as keys and the HApiProperty object as values defined for this type

This list does not include properties inherited from the parent type

Specified by:
  `getProperties` in interface `HApiType`
Returns:

#### getAllProperties

    public Map<String,HApiProperty> getAllProperties()

A map with the names of the properties as keys and the HApiProperty object as values defined for this type, including the properties inherited from the parent type

Specified by:
  `getAllProperties` in interface `HApiType`
Returns:

#### getParent

    public HApiType getParent()

Returns the parent type object

Specified by:
  `getParent` in interface `HApiType`
Returns:

#### isAbstract

    public boolean isAbstract()

Whether this type is abstract or not. An abstract type is an identifier that does not map to a jcr node as a path or as a FQDN

Specified by:
  `isAbstract` in interface `HApiType`
Returns:

#### setParent

    public void setParent(HApiType parent)

#### setProperties

    public void setProperties(Map<String,HApiProperty> properties)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`